Index: lang/logo/Makefile
===================================================================
diff -u lang/logo/Makefile.orig lang/logo/Makefile
--- lang/logo/Makefile.orig	Sun Jul 27 13:12:13 2003
+++ lang/logo/Makefile	Sun Jul 27 13:10:30 2003
@@ -20,8 +20,14 @@
 .endif
 .if defined(WITH_FULL_DOCS)
 .undef NOPORTDOCS
+.if defined(WITH_GHOSTSCRIPT_AFPL) && ${WITH_GHOSTSCRIPT_AFPL} == yes
+GSPORT?=	print/ghostscript-afpl
+.else
+GSPORT?=	print/ghostscript-gnu
+.endif
+
 BUILD_DEPENDS+= tex:${PORTSDIR}/print/teTeX \
-		ps2pdf:${PORTSDIR}/print/ghostscript-gnu
+		ps2pdf:${PORTSDIR}/${GSPORT}
 .endif

 USE_XLIB=	yes
@@ -59,6 +65,10 @@
 	@${ECHO} ""
 	@${ECHO} "      Define WITH_FULL_DOCS to build ps, pdf and html docs"
 	@${ECHO} "      This requires teTeX and ghostscript !"
+.if !defined(WITH_GHOSTSCRIPT_AFPL) || ${WITH_GHOSTSCRIPT_AFPL} != yes
+	@${ECHO} "      Define WITH_GHOSTSCRIPT_AFPL=yes to use"
+	@${ECHO} "      AFPL Postscript interpreter instead of GNU one"
+.endif
 	@${ECHO} ""
 .endif

